COUNTRY = {
    'ID': {'name': 'indonesia', 'number': '62', 'language': 'id_ID', 'timezone': 'Asia/Jakarta', 'operator': ['XL', 'Indosat Ooredoo', '3', 'Telkomsel', 'Axis']},
    'US': {'name': 'united states', 'number': '1', 'language': 'en_US', 'timezone': 'America/New_York', 'operator': ['Verizon', 'AT&T', 'T-Mobile', 'Sprint']},
    'CN': {'name': 'china', 'number': '86', 'language': 'zh_CN', 'timezone': 'Asia/Shanghai', 'operator': ['China Mobile', 'China Unicom', 'China Telecom']},
    'IN': {'name': 'india', 'number': '91', 'language': 'hi_IN', 'timezone': 'Asia/Kolkata', 'operator': ['Airtel', 'Jio', 'Vodafone Idea', 'BSNL']},
    'JP': {'name': 'japan', 'number': '81', 'language': 'ja_JP', 'timezone': 'Asia/Tokyo', 'operator': ['NTT Docomo', 'SoftBank', 'KDDI']},
    'BR': {'name': 'brazil', 'number': '55', 'language': 'pt_BR', 'timezone': 'America/Sao_Paulo', 'operator': ['Vivo', 'Claro', 'TIM', 'Oi']},
    'RU': {'name': 'russia', 'number': '7', 'language': 'ru_RU', 'timezone': 'Europe/Moscow', 'operator': ['MTS', 'Beeline', 'Megafon', 'Tele2']},
    'DE': {'name': 'germany', 'number': '49', 'language': 'de_DE', 'timezone': 'Europe/Berlin', 'operator': ['Deutsche Telekom', 'Vodafone', 'O2', '1&1']},
    'NG': {'name': 'nigeria', 'number': '234', 'language': 'en_NG', 'timezone': 'Africa/Lagos', 'operator': ['MTN', 'Airtel', 'Globacom', '9mobile']},
    'MX': {'name': 'mexico', 'number': '52', 'language': 'es_MX', 'timezone': 'America/Mexico_City', 'operator': ['Telcel', 'Movistar', 'AT&T Mexico']},
    'AU': {'name': 'australia', 'number': '61', 'language': 'en_AU', 'timezone': 'Australia/Sydney', 'operator': ['Telstra', 'Optus', 'Vodafone']},
    'CA': {'name': 'canada', 'number': '1', 'language': 'en_CA', 'timezone': 'America/Toronto', 'operator': ['Rogers', 'Bell', 'Telus', 'Fido']},
    'GB': {'name': 'united kingdom', 'number': '44', 'language': 'en_GB', 'timezone': 'Europe/London', 'operator': ['EE', 'Vodafone', 'O2', 'Three']},
    'FR': {'name': 'france', 'number': '33', 'language': 'fr_FR', 'timezone': 'Europe/Paris', 'operator': ['Orange', 'SFR', 'Bouygues Telecom', 'Free Mobile']},
    'IT': {'name': 'italy', 'number': '39', 'language': 'it_IT', 'timezone': 'Europe/Rome', 'operator': ['TIM', 'Vodafone', 'Wind Tre', 'Iliad']},
    'ES': {'name': 'spain', 'number': '34', 'language': 'es_ES', 'timezone': 'Europe/Madrid', 'operator': ['Movistar', 'Orange', 'Vodafone', 'Yoigo']},
    'KR': {'name': 'south korea', 'number': '82', 'language': 'ko_KR', 'timezone': 'Asia/Seoul', 'operator': ['SK Telecom', 'KT Corp', 'LG Uplus']},
    'SA': {'name': 'saudi arabia', 'number': '966', 'language': 'ar_SA', 'timezone': 'Asia/Riyadh', 'operator': ['STC', 'Mobily', 'Zain']},
    'TR': {'name': 'turkey', 'number': '90', 'language': 'tr_TR', 'timezone': 'Europe/Istanbul', 'operator': ['Turkcell', 'Vodafone Turkey', 'Türk Telekom']},
    'AR': {'name': 'argentina', 'number': '54', 'language': 'es_AR', 'timezone': 'America/Argentina/Buenos_Aires', 'operator': ['Movistar', 'Personal', 'Claro']},
    'PH': {'name': 'philippines', 'number': '63', 'language': 'fil_PH', 'timezone': 'Asia/Manila', 'operator': ['Globe Telecom', 'Smart Communications', 'Sun Cellular']},
    'TH': {'name': 'thailand', 'number': '66', 'language': 'th_TH', 'timezone': 'Asia/Bangkok', 'operator': ['AIS', 'TrueMove H', 'DTAC']},
    'BD': {'name': 'bangladesh', 'number': '880', 'language': 'bn_BD', 'timezone': 'Asia/Dhaka', 'operator': ['Grameenphone', 'Robi', 'Airtel', 'Banglalink']},
    'MY': {'name': 'malaysia', 'number': '60', 'language': 'ms_MY', 'timezone': 'Asia/Kuala_Lumpur', 'operator': ['Maxis', 'Celcom', 'DiGi', 'U Mobile']},
    'VN': {'name': 'vietnam', 'number': '84', 'language': 'vi_VN', 'timezone': 'Asia/Ho_Chi_Minh', 'operator': ['Viettel', 'Vinaphone', 'Mobifone']}}

DEVICE = {
    'LG': [
        {'device_model': 'LG V30', 'device_board': 'lucye', 'device_vendor': 'qcom', 'device_version': '8'},
        {'device_model': 'LG Velvet', 'device_board': 'rainbow', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'LG G7 ThinQ', 'device_board': 'judyln', 'device_vendor': 'qcom', 'device_version': '8'},
        {'device_model': 'LG V40 ThinQ', 'device_board': 'storm', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'LG G8X ThinQ', 'device_board': 'g8x', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'LG Wing', 'device_board': 'wing', 'device_vendor': 'qcom', 'device_version': '10'}],
    'ASUS': [
        {'device_model': 'ZenFone 6', 'device_board': 'ZS630KL', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'ZenFone 7', 'device_board': 'ZS670KS', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'ZenFone 8', 'device_board': 'ZS590KS', 'device_vendor': 'qcom', 'device_version': '11'},
        {'device_model': 'ZenFone 7 Pro', 'device_board': 'ZS670KA', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'ROG Phone 5', 'device_board': 'I005DA', 'device_vendor': 'qcom', 'device_version': '11'},
        {'device_model': 'ROG Phone 3', 'device_board': 'I003D', 'device_vendor': 'qcom', 'device_version': '10'}],
    'OPPO': [
        {'device_model': 'CPH1923','device_board': 'OP486C','device_vendor': 'mt6765','device_version': '9'},
        {'device_model': 'CPH2185','device_board': 'OP4F2F','device_vendor': 'mt6765','device_version': '10'},
        {'device_model': 'CPH2109','device_board': 'OP4BA5L1','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'CPH2135','device_board': 'OP4EFDL1','device_vendor': 'qcom','device_version': '12'},
        {'device_model': 'CPH2481','device_board': 'OP5709L1','device_vendor': 'mt6789','device_version': '13'}],
    'VIVO': [
        {'device_model': 'vivo 1910','device_board': '1910','device_vendor': 'qcom','device_version': '9'},
        {'device_model': 'vivo 1907','device_board': '1907','device_vendor': 'mt6768','device_version': '12'},
        {'device_model': 'vivo 1909','device_board': '1909','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'vivo 2026','device_board': '2026','device_vendor': 'mt6765','device_version': '11'},
        {'device_model': 'vivo 1938','device_board': '1938','device_vendor': 'mt6765','device_version': '12'}],
    'TECNO': [
        {'device_model': 'TECNO Pova', 'device_board': 'pova', 'device_vendor': 'mt6769', 'device_version': '10'},
        {'device_model': 'TECNO Phantom 9', 'device_board': 'phantom9', 'device_vendor': 'mt6765', 'device_version': '9'},
        {'device_model': 'TECNO Camon 16', 'device_board': 'cd6', 'device_vendor': 'mt6768', 'device_version': '10'},
        {'device_model': 'TECNO Spark 6', 'device_board': 'k6', 'device_vendor': 'mt6762', 'device_version': '10'},
        {'device_model': 'TECNO Spark 7', 'device_board': 'k7', 'device_vendor': 'mt6765', 'device_version': '11'},
        {'device_model': 'TECNO Camon 18', 'device_board': 'cd7', 'device_vendor': 'mt6781', 'device_version': '11'}],
    'MEIZU': [
        {'device_model': 'Meizu 16th', 'device_board': 'm1882', 'device_vendor': 'qcom', 'device_version': '8'},
        {'device_model': 'Meizu 16T', 'device_board': 'm1928', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'Meizu 17', 'device_board': 'm2081', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'Meizu 18', 'device_board': 'm181q', 'device_vendor': 'qcom', 'device_version': '11'},
        {'device_model': 'Meizu 18s', 'device_board': 'm192q', 'device_vendor': 'qcom', 'device_version': '12'}],
    'GOOGLE': [
        {'device_model': 'Pixel 4', 'device_board': 'coral', 'device_vendor': 'sdm855', 'device_version': '10'},
        {'device_model': 'Pixel 4a', 'device_board': 'sunfish', 'device_vendor': 'sdm730', 'device_version': '11'},
        {'device_model': 'Pixel 5', 'device_board': 'redfin', 'device_vendor': 'sdm765', 'device_version': '11'},
        {'device_model': 'Pixel 6', 'device_board': 'oriole', 'device_vendor': 'google', 'device_version': '12'},
        {'device_model': 'Pixel 6a', 'device_board': 'bluejay', 'device_vendor': 'google', 'device_version': '12'},
        {'device_model': 'Pixel 7', 'device_board': 'cheetah', 'device_vendor': 'google', 'device_version': '13'}],
    'REALME': [
        {'device_model': 'RMX3363','device_board': 'RE54ABL1','device_vendor': 'qcom','device_version': '12'},
        {'device_model': 'RMX3624','device_board': 'RE5894','device_vendor': 'qcom','device_version': '12'},
        {'device_model': 'RMX3201','device_board': 'RMX3201','device_vendor': 'mt6765','device_version': '11'},
        {'device_model': 'RMX3269','device_board': 'RED8F6','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'RMX2020','device_board': 'RMX2020','device_vendor': 'mt6768','device_version': '10'}],
    'XIAOMI': [
        {'device_model': 'Redmi 6','device_board': 'cereus','device_vendor': 'mt6765','device_version': '9'},
        {'device_model': 'Redmi 7','device_board': 'onc','device_vendor': 'qcom','device_version': '9'},
        {'device_model': 'Redmi Note 7 Pro','device_board': 'violet','device_vendor': 'qcom','device_version': '10'},
        {'device_model': 'Redmi Note 8 Pro','device_board': 'begonia','device_vendor': 'mt6785','device_version': '10'},
        {'device_model': 'Redmi Note 9 Pro','device_board': 'ginkgo','device_vendor': 'qcom','device_version': '12'}],
    'HUAWEI': [
        {'device_model': 'JLN-LX1','device_board': 'HWJLN-Q','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'LIO-L29','device_board': 'HWLIO','device_vendor': 'kirin990','device_version': '10'},
        {'device_model': 'HRY-LX1T','device_board': 'HWHRY-HF','device_vendor': 'kirin710','device_version': '10'},
        {'device_model': 'ELE-L29','device_board': 'HWELE','device_vendor': 'kirin980','device_version': '10'},
        {'device_model': 'MRD-LX1F','device_board': 'HWMRD-M1','device_vendor': 'mt6761','device_version': '10'}],
    'ONEPLUS': [
        {'device_model': 'OnePlus 6', 'device_board': 'enchilada', 'device_vendor': 'qcom', 'device_version': '8'},
        {'device_model': 'OnePlus 7', 'device_board': 'guacamoleb', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'OnePlus 8', 'device_board': 'instantnoodle', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'OnePlus 9', 'device_board': 'lemonade', 'device_vendor': 'qcom', 'device_version': '11'},
        {'device_model': 'OnePlus 10 Pro', 'device_board': 'negroni', 'device_vendor': 'qcom', 'device_version': '12'}],
    'INFINIX': [
        {'device_model': 'Infinix X657B','device_board': 'Infinix-X657B','device_vendor': 'mt6761','device_version': '11'},
        {'device_model': 'Infinix X688B','device_board': 'Infinix-X688B','device_vendor': 'mt6765','device_version': '11'},
        {'device_model': 'Infinix X682B','device_board': 'Infinix-X682B','device_vendor': 'mt6769','device_version': '10'},
        {'device_model': 'Infinix X6515','device_board': 'Infinix-X6515','device_vendor': 'mt6761','device_version': '12'},
        {'device_model': 'Infinix X676B','device_board': 'Infinix-X676B','device_vendor': 'mt6789','device_version': '12'}],
    'SAMSUNG': [
        {'device_model': 'SM-A125F','device_board': 'a12','device_vendor': 'mt6765','device_version': '12'},
        {'device_model': 'SM-A225M','device_board': 'a22','device_vendor': 'mt6769t','device_version': '13'},
        {'device_model': 'SM-A235F','device_board': 'a23','device_vendor': 'exynos850','device_version': '13'},
        {'device_model': 'SM-A135F','device_board': 'a13','device_vendor': 'exynos850','device_version': '13'},
        {'device_model': 'SM-A127F','device_board': 'a12s','device_vendor': 'exynos850','device_version': '13'}]}

THREADS_RELEASE = [{
    'api': 'private',
    'code': '489720161',
    'version': '289.0.0.77.109',
    'ig_app_id': '3419628305025917',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': None,
    'ig_capabilities': '3brTv10=',
    'bloks_version_id': '5f56efad68e1edec7801f630b5c122704ec5378adbee6609a448f105f34a9c73'
}]

FACEBOOK_RELEASE = [{
    'api': 'private',
    'code': '480086274',
    'version': '417.0.0.33.65',
    'access_token': '350685531728|62f8ce9f74b12f84c123cc23437a4a32'
},{
    'api': 'private',
    'code': '543547945',
    'version': '443.0.0.23.229',
    'access_token': '350685531728|62f8ce9f74b12f84c123cc23437a4a32'
}]

INSTAGRAM_RELEASE = [{
    'api': 'public',
    'code': '208061688',
    'version': '136.0.0.34.124',
    'ig_app_id': '567067343352427',
    'ig_sig_key': '46024e8f31e295869a0e861eaed42cb1dd8454b55232d85f6c6764365079374b',
    'ig_sig_key_version': '4',
    'ig_capabilities': '3brTvw8=',
    'bloks_version_id': '0a3ae4c88248863609c67e278f34af44673cff300bc76add965a9fb036bd3ca3'
},{
    'api': 'public',
    'code': '321039156',
    'version': '207.0.0.39.120',
    'ig_app_id': '567067343352427',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': '4',
    'ig_capabilities': '3brTvx0=',
    'bloks_version_id': '251c3023d7ef985a0e5d91b885c0c03bbb32b4b721d8de33bf9f667ba39b41ff'
},{
    'api': 'public',
    'code': '534961931',
    'version': '308.0.0.36.109',
    'ig_app_id': '567067343352427',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': None,
    'ig_capabilities': '3brTv10=',
    'bloks_version_id': '131e552d088ec90a45af8e2ca9561ed11e3e51dd833be2d0154104e68ac1b33e'
},{
    'api': 'public',
    'code': '541635890',
    'version': '309.1.0.41.113',
    'ig_app_id': '567067343352427',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': None,
    'ig_capabilities': '3brTv10=',
    'bloks_version_id': '9fc6a7a4a577456e492c189810755fe22a6300efc23e4532268bca150fe3e27a'
},{
    'api': 'public',
    'code': '568713873',
    'version': '319.0.0.43.110',
    'ig_app_id': '567067343352427',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': None,
    'ig_capabilities': '3brTv10=',
    'bloks_version_id': '6b88a0d10d0990ece7dfb3e174e8523c163ce201682a4cc1fa57c1468a350a1c'
},{
    'api': 'private',
    'code': '642371207',
    'version': '350.0.0.0.35',
    'ig_app_id': '567067343352427',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': None,
    'ig_capabilities': '3brTv10=',
    'bloks_version_id': '15bf7599a6f3cb0873174fecc7a0d90acdb96492075190bb2a6bab442cc3edc8'
},{
    'api': 'private',
    'code': '674675155',
    'version': '361.0.0.46.88',
    'ig_app_id': '567067343352427',
    'ig_sig_key': 'SIGNATURE',
    'ig_sig_key_version': None,
    'ig_capabilities': '3brTv10=',
    'bloks_version_id': '16e9197b928710eafdf1e803935ed8c450a1a2e3eb696bff1184df088b900bcf'
}]

DEVICE_LIST = list(DEVICE.keys())
COUNTRY_LIST = list(COUNTRY.keys())